From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] Remove duplicate timestamps from no-wrap view
Date: Tue, 19 Jan 2021 16:44:20 +0100
Message-Id: <20210119154420.84057-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

---
 ui.c | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/ui.c b/ui.c
index 0b8b762..4dbbff5 100644
--- a/ui.c
+++ b/ui.c
@@ -630,14 +630,6 @@ static void bufferList(const struct Buffer *buffer) {
 		const struct Line *line = bufferSoft(buffer, i);
 		if (!line) continue;
 
-		struct tm *tm = localtime(&line->time);
-		if (!tm) err(EX_OSERR, "localtime");
-
-		char buf[sizeof("00:00:00")];
-		strftime(buf, sizeof(buf), "%T", tm);
-		vid_attr(colorAttr(Colors[Gray]), colorPair(Colors[Gray], -1), NULL);
-		printf("[%s] ", buf);
-
 		bool align = false;
 		struct Style style = StyleDefault;
 		for (const char *str = line->str; *str;) {
-- 
2.30.0


